Route Unpublished

Fired when a route is unpublished in Routific

Overview

The route.unpublished event is triggered when a dispatcher unpublishes a route, revoking its publication and the assigned driver's access.

The HTTP request body identifies the unpublished route and includes its current status, assigned driver, order count, and workspace. It also includes when the payload was assembled and may include when the route was previously published (if exists). No route timeline is provided.

Topic Name

route.unpublished

Request Headers

content-type: 	application/json
x-routific-signature: v0=96f75bab20672af9db0549863fe1b2c6feagf3233708e0670e642effe7b920703
x-routific-topic: 	route.unpublished
x-routific-event-id: 	evt_nRUoQC3hvBb5zohygsa1iP8eEK
x-routific-timestamp: 	2026-06-10T15:03:58Z
FieldTypeDescription
x-routific-event-idStringUnique identifier for this webhook event. This value should remain the same across retries and can be used as an idempotency key.
x-routific-timestampDateTimeDate and Time in UTC for when the webhook delivery attempt was made.
x-routific-signatureStringSignature of the webhook payload and metadata. For HMAC-SHA256 signatures, the value is prefixed with v0=
x-routific-topicStringEvent name of the webhook

Request Body

{
  "route": {
    "uuid": "246612f0-f160-4649-bb16-292ebaa43555",
    "name": "Route 11",
    "date": "2026-06-05",
    "status": "planned",
    "workspaceId": 47,
    "ordersCount": 2,
    "driver": {
      "uuid": "7f5a7b8d-67e3-4c6f-9f20-5b2e4f6c91a1",
      "name": "John Doe",
      "email": "[email protected]"
    }
  },
  "unpublishedAt": "2026-06-05T15:00:00.000Z",
  "previouslyPublishedAt": "2026-06-05T12:00:00.000Z"
}
FieldTypeDescription
routeobjectThe route as it exists after publication is revoked.
route.uuidstringUnique identifier of the route.
route.namestringName of the route.
route.datestringDate when the route is planned for. Format: yyyy-mm-dd.
route.statusstringCurrent route status. The value is planned after the route is unpublished.
route.workspaceIdintegerID of the workspace where the route belongs.
route.ordersCountintegerNumber of orders assigned to the route.
route.driverobjectDriver who was assigned to the route when publication was revoked.
route.driver.uuidstringUnique identifier of the driver.
route.driver.namestringName of the driver.
route.driver.emailstringEmail address of the driver.
unpublishedAtstringISO 8601 timestamp for when the webhook payload was assembled.
previouslyPublishedAtstringISO 8601 timestamp for when the route had been published. This field may be omitted when it is unavailable.